Bug 1532129 - poco: Improper path restriction in ZipCommon.cpp allows for arbitrary files to be written
Summary: poco: Improper path restriction in ZipCommon.cpp allows for arbitrary files t...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1532130 1532131
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-08 05:27 UTC by Sam Fowler
Modified: 2019-09-29 14:29 UTC (History)
2 users (show)

Fixed In Version: poco 1.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:36:20 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-01-08 05:27:01 UTC
The ZipCommon::isValidPath() function in Zip/src/ZipCommon.cpp in POCO C++ Libraries before 1.8 does not properly restrict the filename value in the ZIP header, which allows attackers to conduct absolute path traversal attacks during the ZIP decompression, and possibly create or overwrite arbitrary files, via a crafted ZIP file, related to a "file path injection vulnerability".

References:
https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-1000472
https://github.com/pocoproject/poco/issues/196
https://github.com/pocoproject/poco/commit/bb7e5feece68ccfd8660caee93da25c5c39a4707

Comment 1 Sam Fowler 2018-01-08 05:27:25 UTC
Created poco tracking bugs for this issue:

Affects: epel-all [bug 1532130]
Affects: fedora-all [bug 1532131]

Comment 2 Product Security DevOps Team 2019-06-08 03:36:20 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.